'use strict'

// Global features
const env = require("./toolbox").env

// Global features
const Queue = require("./manager").queue
const Browser = require("./manager").browser

// Queue
let tasks = new Queue()

module.exports = {
    queueViewPort: (testName, url, viewPort) => {
        if (!viewPort.hasOwnProperty('width') || !viewPort.hasOwnProperty('height')){
            throw "Viewport not valid!"
        }
        tasks.add({
            url: url,
            viewPort: viewPort,
            testName: testName
        })
    },
    execute: async () => {
        let browser = new Browser()
        await browser.execute(tasks)
    }
}